[SciPy-dev] Scipy 0.4.8 segfaults on 64bit Linux (Ubuntu).

Nils Wagner nwagner at mecha.uni-stuttgart.de
Tue Mar 21 04:37:16 CST 2006


Travis Oliphant wrote:
> Arnd Baecker wrote:
>   
>> [...]
>>   
>>     
>
> Try the test again with new SVN.
>
> -Travis
>
> _______________________________________________
> Scipy-dev mailing list
> Scipy-dev at scipy.net
> http://www.scipy.net/mailman/listinfo/scipy-dev
>   
Now python setup.py install results in

Lib/ndimage/src/ni_interpolation.c:348: error: conflicting types for
‘NI_GeometricTransform’
Lib/ndimage/src/ni_interpolation.h:39: error: previous declaration of
‘NI_GeometricTransform’ was here
Lib/ndimage/src/ni_interpolation.c:348: error: conflicting types for
‘NI_GeometricTransform’
Lib/ndimage/src/ni_interpolation.h:39: error: previous declaration of
‘NI_GeometricTransform’ was here
error: Command "gcc -pthread -fno-strict-aliasing -DNDEBUG -O2
-fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -g -fPIC -ILib/ndimage/src
-I/usr/lib64/python2.4/site-packages/numpy/core/include
-I/usr/include/python2.4 -c Lib/ndimage/src/ni_interpolation.c -o
build/temp.linux-x86_64-2.4/Lib/ndimage/src/ni_interpolation.o" failed
with exit status 1

Nils




More information about the Scipy-dev mailing list